extends MultiplayerSpawner

@onready var spawn_node = get_node(spawn_path)
var spawn_points : Array = []

func _enter_tree() -> void:
	spawn_points = $SpawnPoints.get_children()

func add_pawn(player : PawnController, key) -> void:
	spawn_node.add_child(player)
	if player.id == 1: #Host
		player.global_position = spawn_points[0].global_position
	else:
		player.global_position = spawn_points[1].global_position
